package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IFeedingDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-09-19
 */
@RestController
@RequestMapping("/feeding-data")
@CrossOrigin
public class FeedingDataController {

    @Autowired
    private IFeedingDataService dataService;

    @PostMapping("/listFeed")
    public Result listFeed(@RequestBody Map<String, String> map) {
        return dataService.listFeed(map);
    }
    @PostMapping("/listPig")
    public Result listPig(@RequestBody Map<String, String> map) {
        return dataService.listPig(map);
    }
    @PostMapping("/listEnv")
    public Result listEnv(@RequestBody Map<String, String> map) {
        return dataService.listEnv(map);
    }
    @PostMapping("/listMeals")
    public Result listMeals(@RequestBody Map<String, String> map) {
        return dataService.listMeals(map);
    }
}
